
from Image import Image
from ODEObject import ODEObject

import ode
import math 


def coord(x,y):
    "Convert world coordinates to pixel coordinates."
    return 400+170*x, 170*y


class  Balloon(ODEObject):

    def __init__(self,world,space,list, pos=(-1,1), radius=.1):
        mass = ode.Mass()
        mass.setSphere(10,radius)
        ODEObject.__init__(self,world,space,list,ode.GeomSphere(space, radius), mass, pos=pos,image='ball')

        self.width= 170*radius*2
        self.height = 170*radius*2

        self.shape = 'ball'
        self.radius = radius



    def update(self):
        self.body.addForce((0,5,0))
